#include "BoxShape.h"
#include "BulletCLIMath.h"

namespace BulletCLI 
{
    BoxShape::BoxShape(Vector3 boxHalfExtends)
    {
        btVector3* half=BulletCLI::XVectorToBTVector(boxHalfExtends);
        this->m_p=new ::btBoxShape(*half);
        delete half;
    }
	BoxShape::~BoxShape()
    {
        this->!BoxShape();
    }
	BoxShape::!BoxShape()
    {
        delete this->m_p;
    }
}